Package org.eclipse.ui.views.properties

## Interface IPropertySheetEntry

All Known Implementing Classes:
  `PropertySheetEntry`

    public interface IPropertySheetEntry

`IPropertySheetEntry` describes the model interface for the property sheet.

May be implemented when supplying a custom root entry to a property page.

### Field Summary

Fields
`static String` `FILTER_ID_EXPERT` The filter id for expert properties

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPropertySheetEntryListener​(IPropertySheetEntryListener listener)` Adds the given listener to this entry's collection of listeners.
`void` `applyEditorValue()` Apply the current cell editor value.
`void` `dispose()` Called when the entry is no longer needed
`String` `getCategory()` Returns the entry's category.
`IPropertySheetEntry[]` `getChildEntries()` Returns the child entries for this entry.
`String` `getDescription()` Return a short description of the property sheet entry.
`String` `getDisplayName()` Returns the name used to display the property.
`CellEditor` `getEditor​(Composite parent)` Return the `CellEditor` used to edit the property.
`String` `getErrorText()` Returns the error text to display if the value is invalid.
`String[]` `getFilters()` Return the filter ids used to group entries into levels such as Expert.
`Object` `getHelpContextIds()` Returns the help context id for this entry, or `null` if this entry has no help context id.
`Image` `getImage()` Returns the image for the property value, if there is one.
`String` `getValueAsString()` Returns the value of the objects expressed as a String.
`boolean` `hasChildEntries()` Returns `true` if the entry has children.
`void` `removePropertySheetEntryListener​(IPropertySheetEntryListener listener)` Removes the given listener from this entry's collection of listeners.
`void` `resetPropertyValue()` Resets the property value to its default value if it has been changed.
`void` `setValues​(Object[] values)` Sets the objects which represent the property values for this entry.

### Field Detail

#### FILTER_ID_EXPERT

    static final String FILTER_ID_EXPERT

The filter id for expert properties

See Also:
  Constant Field Values

### Method Detail

#### addPropertySheetEntryListener

    void addPropertySheetEntryListener​(IPropertySheetEntryListener listener)

Adds the given listener to this entry's collection of listeners.

Parameters:
  `listener` - the listener to add

#### applyEditorValue

    void applyEditorValue()

Apply the current cell editor value.

#### dispose

    void dispose()

Called when the entry is no longer needed

#### getCategory

    String getCategory()

Returns the entry's category.

Returns:
  the entry's category

#### getChildEntries

    IPropertySheetEntry[] getChildEntries()

Returns the child entries for this entry.

Returns:
  the child entries for this entry

#### getDescription

    String getDescription()

Return a short description of the property sheet entry. Typically this description is shown in a status line when the entry is selected.

Returns:
  the entry's description

#### getDisplayName

    String getDisplayName()

Returns the name used to display the property.

Returns:
  the name used to display the property

#### getEditor

    CellEditor getEditor​(Composite parent)

Return the `CellEditor` used to edit the property.

Parameters:
  `parent` - the parent widget for the editor
Returns:
  the `CellEditor` used to edit the property

#### getErrorText

    String getErrorText()

Returns the error text to display if the value is invalid.

Returns:
  the error text to display when the value is invalid or `null`

#### getFilters

    String[] getFilters()

Return the filter ids used to group entries into levels such as Expert. Valid values are defined as constants on this interface.

Returns:
  the filter ids used to group entries into levels such as Expert.

#### getHelpContextIds

    Object getHelpContextIds()

Returns the help context id for this entry, or `null` if this entry has no help context id.

NOTE: Help support system API's changed since 2.0 and arrays of contexts are no longer supported.

Thus the only valid non- `null` return type for this method is a `String` representing a context id. The previously valid return types are deprecated. The plural name for this method is unfortunate.

Returns:
  the help context id for this entry

#### getImage

    Image getImage()

Returns the image for the property value, if there is one. This image is managed by the entry it came from. Callers of this method must never dispose the returned image.

Returns:
  the image for this property value or `null`

#### getValueAsString

    String getValueAsString()

Returns the value of the objects expressed as a String.

Returns:
  the value of the objects expressed as a String

#### hasChildEntries

    boolean hasChildEntries()

Returns `true` if the entry has children.

Returns:
  `true` if the entry has children

#### removePropertySheetEntryListener

    void removePropertySheetEntryListener​(IPropertySheetEntryListener listener)

Removes the given listener from this entry's collection of listeners.

Parameters:
  `listener` - the listener to remove

#### resetPropertyValue

    void resetPropertyValue()

Resets the property value to its default value if it has been changed.

Does nothing if the notion of a default value is not meaningful for the property.

#### setValues

    void setValues​(Object[] values)

Sets the objects which represent the property values for this entry. In the case of the root entry these objects are the input to the viewer.

Parameters:
  `values` - the values for this entry